Package org.apache.struts2

# Interface StrutsStatics

All Known Implementing Classes:
  `FreemarkerResult`, `PlainTextResult`, `PostbackResult`, `ServletActionContext`, `ServletActionRedirectResult`, `ServletConfigInterceptor`, `ServletDispatcherResult`, `ServletRedirectResult`, `StreamResult`, `StrutsExecuteFilter`, `StrutsPrepareAndExecuteFilter`, `StrutsPrepareFilter`, `StrutsResultSupport`

public interface StrutsStatics

Constants used internally by Struts. Do not use these constants directly, instead use exposed helpers eg.: `Dispatcher.getInstance(ServletContext)`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ACTION_MAPPING`
  `static final String`
  `HTTP_REQUEST`
  Constant for the HTTP request object.
  `static final String`
  `HTTP_RESPONSE`
  Constant for the HTTP response object.
  `static final String`
  `PAGE_CONTEXT`
  Constant for the JSP `page context`.
  `static final String`
  `SERVLET_CONTEXT`
  Constant for the `servlet context` object.
  `static final String`
  `SERVLET_DISPATCHER`
  Constant for an HTTP `request dispatcher`.
  `static final String`
  `STRUTS_ACTION_TAG_INVOCATION`
  Set as an attribute in the request to let other parts of the framework know that the invocation is happening inside an action tag

- ## Field Details

  - ### HTTP_REQUEST

    static final String HTTP_REQUEST
    Constant for the HTTP request object.
    See Also:
      - Constant Field Values

  - ### HTTP_RESPONSE

    static final String HTTP_RESPONSE
    Constant for the HTTP response object.
    See Also:
      - Constant Field Values

  - ### SERVLET_DISPATCHER

    static final String SERVLET_DISPATCHER
    Constant for an HTTP `request dispatcher`.
    See Also:
      - Constant Field Values

  - ### SERVLET_CONTEXT

    static final String SERVLET_CONTEXT
    Constant for the `servlet context` object.
    See Also:
      - Constant Field Values

  - ### PAGE_CONTEXT

    static final String PAGE_CONTEXT
    Constant for the JSP `page context`.
    See Also:
      - Constant Field Values

  - ### STRUTS_ACTION_TAG_INVOCATION

    static final String STRUTS_ACTION_TAG_INVOCATION
    Set as an attribute in the request to let other parts of the framework know that the invocation is happening inside an action tag
    See Also:
      - Constant Field Values

  - ### ACTION_MAPPING

    static final String ACTION_MAPPING
    See Also:
      - Constant Field Values